DROP TABLE IF EXISTS tag;
DROP TABLE IF EXISTS node;

CREATE TABLE node
(
    id          BIGINT          PRIMARY KEY,
    username    VARCHAR(256)    NOT NULL
);

CREATE TABLE tag
(
    id      BIGINT          PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
    key     VARCHAR(256)    NOT NULL,
    value   VARCHAR(256)    NOT NULL,
    node_id BIGINT REFERENCES node(id) ON DELETE CASCADE
);